Package org.github.jamm.strategies

# Class MemoryMeterStrategies

java.lang.Object
org.github.jamm.strategies.MemoryMeterStrategies

public final class MemoryMeterStrategies extends Object
The different strategies that can be used to measure object sizes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static Instrumentation`
`instrumentation`

## Method Summary

Modifier and Type
Method
Description
`static MemoryMeterStrategies`
`getInstance()`
`MemoryMeterStrategy`
`getStrategy(List<MemoryMeter.Guess> guessList)`
`boolean`
`hasInstrumentation()`
`boolean`
`hasUnsafe()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instrumentation

public static Instrumentation instrumentation

## Method Details

### getInstance

public static MemoryMeterStrategies getInstance()

### hasInstrumentation

public boolean hasInstrumentation()

### hasUnsafe

public boolean hasUnsafe()

### getStrategy

public MemoryMeterStrategy getStrategy(List<MemoryMeter.Guess> guessList)